## org.eclipse.datatools.connectivity.oda.design
Interface ParameterFields

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface ParameterFields

extends org.eclipse.emf.ecore.EObject

Defines all the fields of a complex parameter.

The following features are supported:

- `Field Collection`

See Also:
  `DesignPackage.getParameterFields()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`org.eclipse.emf.common.util.EList<ParameterFieldDefinition>` `getFieldCollection()` Returns the value of the 'Field Collection' containment reference list.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getFieldCollection

    org.eclipse.emf.common.util.EList<ParameterFieldDefinition> getFieldCollection()

  Returns the value of the 'Field Collection' containment reference list. The list contents are of type `ParameterFieldDefinition`.

  Returns:
    the value of the 'Field Collection' containment reference list.
  See Also:
    `DesignPackage.getParameterFields_FieldCollection()`